# std::chrono::time_point< _Clock, _Duration > Struct Template Reference

time_point More...

List of all members.

## Public Types

- typedef _Clock clock
- typedef _Duration duration
- typedef duration::period period
- typedef duration::rep rep

## Public Member Functions

- time_point (const duration &__dur)
- template<typename _Duration2 > time_point (const time_point< clock, _Duration2 > &__t)
- time_point & operator+= (const duration &__dur)
- time_point & operator-= (const duration &__dur)
- duration time_since_epoch () const

## Static Public Member Functions

- static const time_point max ()
- static const time_point min ()

## Detailed Description

### template<typename _Clock, typename _Duration>
struct std::chrono::time_point< _Clock, _Duration >

time_point

Definition at line 492 of file chrono.

The documentation for this struct was generated from the following file:

- chrono